//----------------------------------------------------------------------------------------
//      ADuC7026
//----------------------------------------------------------------------------------------
#include <ioaduc7026.h> //     
#include "hardware.h"  //     
#include "adc.h" //     

volatile extern U8 flagn_kn0, flagn_kn1, flagn_kn2, flagn_kn3;
static U8 adc_stat=0;
U16 viborka=100; //       

//-----------------------------------------------------------------------------------------
void main(void)
{
  //REMAP = 0x01;  //      SRAM

  CPUinit();             // 
  __disable_interrupt(); // 
  TIMER0initstart();     // 0
  INTERRUPTSinit();      // 
  __enable_interrupt();  // 

  delay(5000);        //
  lcd_init();           // 
  delay(5000);        //
  lcd_init();           //  
  lcd_clear();          //  
  ADCinit();           //  

  //       
  lcd_pro_data('V',0);
  lcd_tek_data(1);
  lcd_tek_data('.');
  lcd_tek_data(0);
  adc_stat=0;    //   
  A_LED1_OFF;     //  1
  A_LED2_OFF;     //  2

  while(1)               //  
  {
    if (adc_stat == 1) // ,  
        {
       //      
       //         
        ADCstart_ind_rez(viborka);
        }

    if  (flagn_kn0==1)    //    0
	    	{
		flagn_kn0=0;    //,   
                if (adc_stat==0)
                   {
                   adc_stat=1;    // 
                   A_LED2_ON;     //  2
                   //   
                   lcd_pro_data(viborka/1000,75);
                   lcd_tek_data((viborka%1000)/100);
                   lcd_tek_data(0);
                   lcd_tek_data(0);
                   }
                else
                   {
                   adc_stat=0;    // 
                   A_LED2_OFF;     //  2
                   lcd_clear();     //  
                   }
                }

    if  (flagn_kn1==1)    //    1
	    	{
		flagn_kn1=0;    //,   
                //    
                ADC_of_prog();
                pulse_LED1(); //  1
                }

    if  (flagn_kn2==1)    //    2
	    	{
		flagn_kn2=0;    //,   
                //    
                ADC_gn_prog();
                pulse_LED1(); //  1
                }

    if  (flagn_kn3==1)    //    3
	    	{
		flagn_kn3=0;    //,   
                viborka = viborka + 100;
                if (viborka > 3000)
                viborka = 100;
                lcd_pro_data(viborka/1000,75); //   
                lcd_tek_data((viborka%1000)/100);
                lcd_tek_data(0);
                lcd_tek_data(0);
                }
  }
}
//--------------------------------------------------------------------------------

